## Get daily report `client.BotnetFeed.ASN.DayReport(ctx, asnID, params) (*ASNDayReportResponse, error)` **get** `/accounts/{account_id}/botnet_feed/asn/{asn_id}/day_report` Gets all the data the botnet tracking database has for a given ASN registered to user account for given date. If no date is given, it will return results for the previous day. ### Parameters - `asnID int64` - `params ASNDayReportParams` - `AccountID param.Field[string]` Path param: Identifier. - `Date param.Field[Time]` Query param ### Returns - `type ASNDayReportResponse struct{…}` - `CIDR string` - `Date Time` - `OffenseCount int64` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/botnet_feed" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.BotnetFeed.ASN.DayReport( context.TODO(), int64(0), botnet_feed.ASNDayReportParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.CIDR) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "cidr": "1.1.1.1/32", "date": "2014-01-01T05:20:00.12345Z", "offense_count": 1000 } } ```